> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Check Deposits



## OpenAPI

````yaml api-reference/openapi-payments.json GET /check_deposit
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /check_deposit:
    get:
      tags:
        - Check Deposit
      summary: List Check Deposits
      parameters:
        - description: ID of the Account receiving the deposit. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: Flag indicating the check was manually decisioned. Filterable.
          in: query
          name: decisioned
          schema:
            enum:
              - 'true'
              - 'false'
            type: string
        - description: >-
            ID of the organization with which the object is associated.
            Filterable.
          in: query
          name: org_id
          schema:
            type: string
        - description: >-
            One of `pending`, `pending_review`, `submitted`, `sent`, `error`,
            `canceled_OCR`, or `returned`. Indicates the deposit's current
            status in the check workflow. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_1234567890
                        amount: '100.00'
                        amount_discrepancy_detected: false
                        back_image_file_id: file_0987654321
                        created_at: '2017-11-02T11:55:14Z'
                        decision_data: {}
                        device:
                          os_name: ios
                          os_version: '12'
                        error: null
                        front_image_file_id: file_1234567890
                        id: chk_1029384756
                        ocr_account_number: '1234567890'
                        ocr_amount: '100.00'
                        ocr_check_number: '5250'
                        ocr_routing_number: '021001208'
                        org_id: org_1gwmpv3payf
                        person_id: owner_1234567890
                        rdc_provider_full: {}
                        review_information: []
                        risk_rating: Accept
                        risk_rating_description: Risk rating assessment by RDC provider
                        status: submitted
                        updated_at: '2017-11-02T11:56:31Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: ID of the Account receiving the deposit. Filterable.
                          type: string
                        amount:
                          description: >-
                            Amount of money to transfer, with two decimal
                            precision. This must match the amount stated on the
                            check
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        amount_discrepancy_detected:
                          description: >-
                            Flag indicating amount mismatch between `amount` and
                            check image
                          type: boolean
                        back_image_file_id:
                          description: >-
                            ID of the .jpg file object representing an image of
                            the back of the check. Currently we only accept JPG
                            file format for images
                          type: string
                        decision_data:
                          description: Context related to check decisioning
                          properties:
                            decided_at:
                              description: Timestamp of when the decision was made
                              type: string
                            decided_by:
                              description: ID of the user who made the decision
                              type: string
                            decision:
                              description: Outcome of manual check review
                              type: string
                          type: object
                        decisioned:
                          description: >-
                            Flag indicating the check was manually decisioned.
                            Filterable.
                          enum:
                            - 'true'
                            - 'false'
                          type: string
                        device:
                          description: Information on the device that captured the images
                          properties:
                            os_name:
                              description: >-
                                Name of the operating system the device is
                                running. One of `android`, `blackberry`, `ios`,
                                `windows`, or `unknown`
                              type: string
                            os_version:
                              description: >-
                                Major version number of the operating system the
                                device is running (e.g. '12', '7', etc.), or the
                                string `unknown`
                              type: string
                          type: object
                        error:
                          description: Error message describing why a check was declined
                          type: string
                        front_image_file_id:
                          description: >-
                            ID of the .jpg file object representing an image of
                            the front of the check. Currently we only accept JPG
                            file format for images
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        ocr_account_number:
                          description: Account number detected in check image
                          type: string
                        ocr_amount:
                          description: Amount detected in check image
                          type: string
                        ocr_check_number:
                          description: Check number detected in check image
                          type: string
                        ocr_routing_number:
                          description: Routing number detected in check image
                          type: string
                        org_id:
                          description: >-
                            ID of the organization with which the object is
                            associated. Filterable.
                          type: string
                        person_id:
                          description: >-
                            ID of the Person making the deposit. This ID must be
                            in the array of person_ids of the account receiving
                            the deposit
                          type: string
                        rdc_provider_full:
                          description: Full response from RDC provider
                          type: object
                        return_data:
                          description: Context related to returned checks
                          properties:
                            reason:
                              description: Reason the check is being returned
                              type: string
                            returned_at:
                              description: Timestamp of when the check was returned
                              type: string
                            returned_by:
                              description: ID of the user who returned the check
                              type: string
                          type: object
                        review_information:
                          description: Additional context to support check reviews
                          items:
                            type: object
                          type: array
                        risk_rating:
                          description: Risk rating assessment by RDC provider
                          type: string
                        risk_rating_description:
                          description: Human-readable risk rating
                          type: string
                        status:
                          description: >-
                            One of `pending`, `pending_review`, `submitted`,
                            `sent`, `error`, `canceled_OCR`, or `returned`.
                            Indicates the deposit's current status in the check
                            workflow. Filterable.
                          type: string
                        userdata:
                          description: Arbitrary data the user can attach to the object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` check_deposit elements, starting after the check_deposit
            described by `page_cursor`. If no more check_deposits are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````